import { OnInit, ElementRef, AfterViewInit, SimpleChanges, OnChanges, EventEmitter, OnDestroy } from '@angular/core';
import { GeocoderAutocomplete, LocationType, SupportedLanguage, CountyCode, GeoPosition, ByCountryCodeOptions, ByCircleOptions, ByRectOptions, ByProximityOptions } from '@geoapify/geocoder-autocomplete';
import { GeoapifyConfig } from './geoapify-config';
import * as i0 from "@angular/core";
export declare class GeocoderAutocompleteComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private config;
    autocomplete: GeocoderAutocomplete;
    container: ElementRef;
    value: string;
    placeholder: string;
    type: LocationType;
    skipIcons: boolean;
    addDetails: boolean;
    lang: SupportedLanguage;
    filterByCountryCode: ByCountryCodeOptions;
    filterByCircle: ByCircleOptions;
    filterByRect: ByRectOptions;
    biasByCountryCode: ByCountryCodeOptions;
    biasByCircle: ByCircleOptions;
    biasByRect: ByRectOptions;
    biasByProximity: ByProximityOptions;
    countryCodes: CountyCode[];
    position: GeoPosition;
    limit: number;
    debounceDelay: number;
    preprocessingHook: (value: string) => string;
    postprocessingHook: (feature: any) => string;
    suggestionsFilter: (suggestions: any[]) => any[];
    sendGeocoderRequestFunc: (value: string, geocoderAutocomplete: GeocoderAutocomplete) => Promise<any>;
    sendPlaceDetailsRequestFunc: (feature: any, geocoderAutocomplete: GeocoderAutocomplete) => Promise<any>;
    placeSelect: EventEmitter<any>;
    suggestionsChange: EventEmitter<any>;
    userInput: EventEmitter<string>;
    open: EventEmitter<boolean>;
    close: EventEmitter<boolean>;
    private onSelectEventFunction;
    private onSuggestionsEventFunction;
    private onUserInputEventFunction;
    private onOpenEventFunction;
    private onCloseEventFunction;
    constructor(config: GeoapifyConfig);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onSelect(value: any): void;
    onSuggestions(value: any): void;
    onInput(value: string): void;
    onOpen(opened: boolean): void;
    onClose(opened: boolean): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GeocoderAutocompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GeocoderAutocompleteComponent, "geoapify-geocoder-autocomplete", never, { "value": { "alias": "value"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "type": { "alias": "type"; "required": false; }; "skipIcons": { "alias": "skipIcons"; "required": false; }; "addDetails": { "alias": "addDetails"; "required": false; }; "lang": { "alias": "lang"; "required": false; }; "filterByCountryCode": { "alias": "filterByCountryCode"; "required": false; }; "filterByCircle": { "alias": "filterByCircle"; "required": false; }; "filterByRect": { "alias": "filterByRect"; "required": false; }; "biasByCountryCode": { "alias": "biasByCountryCode"; "required": false; }; "biasByCircle": { "alias": "biasByCircle"; "required": false; }; "biasByRect": { "alias": "biasByRect"; "required": false; }; "biasByProximity": { "alias": "biasByProximity"; "required": false; }; "countryCodes": { "alias": "countryCodes"; "required": false; }; "position": { "alias": "position"; "required": false; }; "limit": { "alias": "limit"; "required": false; }; "debounceDelay": { "alias": "debounceDelay"; "required": false; }; "preprocessingHook": { "alias": "preprocessingHook"; "required": false; }; "postprocessingHook": { "alias": "postprocessingHook"; "required": false; }; "suggestionsFilter": { "alias": "suggestionsFilter"; "required": false; }; "sendGeocoderRequestFunc": { "alias": "sendGeocoderRequestFunc"; "required": false; }; "sendPlaceDetailsRequestFunc": { "alias": "sendPlaceDetailsRequestFunc"; "required": false; }; }, { "placeSelect": "placeSelect"; "suggestionsChange": "suggestionsChange"; "userInput": "userInput"; "open": "open"; "close": "close"; }, never, never, false, never>;
}
